# class Benchmark::IPS::Job::MultiReport

### Attributes

out[RW]

@returns out [Array<StreamReport>] list of reports to send output

### Public Class Methods

new(out = nil) click to toggle source

@param out [Array<StreamReport>] list of reports to send output

    # File lib/benchmark/ips/job/multi_report.rb, line 32
    def initialize(out = nil)
      @out = []
      self << out
    end

### Public Instance Methods

<<(report) click to toggle source

@param report [StreamReport] report to accept input?

    # File lib/benchmark/ips/job/multi_report.rb, line 21
    def <<(report)
      if report.kind_of?(MultiReport)
        self << report.out
      elsif report.kind_of?(Enumerable)
        @out += report
      elsif report
        @out << report
      end
    end

add_report(item, caller) click to toggle source

    # File lib/benchmark/ips/job/multi_report.rb, line 57
    def add_report(item, caller)
      @out.each { |o| o.add_report(item, caller) }
    end

empty?() click to toggle source

    # File lib/benchmark/ips/job/multi_report.rb, line 8
    def empty?
      @out.empty?
    end

quiet!() click to toggle source

    # File lib/benchmark/ips/job/multi_report.rb, line 16
    def quiet!
      @out.delete_if { |rpt| rpt.kind_of?(StreamReport) }
    end

quiet?() click to toggle source

    # File lib/benchmark/ips/job/multi_report.rb, line 12
    def quiet?
      @out.none? { |rpt| rpt.kind_of?(StreamReport) }
    end

running(label, warmup) click to toggle source

    # File lib/benchmark/ips/job/multi_report.rb, line 53
    def running(label, warmup)
      @out.each { |o| o.running(label, warmup) }
    end

start_running() click to toggle source

    # File lib/benchmark/ips/job/multi_report.rb, line 49
    def start_running
      @out.each { |o| o.start_running if o.respond_to?(:start_running) }
    end

start_warming() click to toggle source

    # File lib/benchmark/ips/job/multi_report.rb, line 37
    def start_warming
      @out.each { |o| o.start_warming if o.respond_to?(:start_warming) }
    end

warming(label, warmup) click to toggle source

    # File lib/benchmark/ips/job/multi_report.rb, line 41
    def warming(label, warmup)
      @out.each { |o| o.warming(label, warmup) }
    end

warmup_stats(warmup_time_us, timing) click to toggle source

    # File lib/benchmark/ips/job/multi_report.rb, line 45
    def warmup_stats(warmup_time_us, timing)
      @out.each { |o| o.warmup_stats(warmup_time_us, timing) }
    end